chdb::__construct
Fonctions chdb
chdb
PHP Manual

# chdb::get

(PECL chdb >= 0.1.0)

chdb::get — Récupère la valeur associée à une clé

### Description

public string chdb::get ( string `$key` )

Récupère la valeur associée avec une clé depuis la base de données chdb.

### Liste de paramètres

`key`

  La clé dont nous voulons récupérer la valeur.

### Valeurs de retour

Retourne une chaîne de caractères contenant la valeur associée avec le paramètre `key` fourni, ou `NULL` si la clé n'a pu être trouvée.

### Exemples

Exemple #1 Exemple avec chdb::get()

`<?php
$data = array(
'key1' => 'value1',
'key2' => 'value2',
// ...
);
chdb_create('data.chdb', $data);
$chdb = new chdb('data.chdb');
$value1 = $chdb->get('key1');
$value2 = $chdb->get('key2');
echo $value1, PHP_EOL;
echo $value2, PHP_EOL;
?>`

L'exemple ci-dessus va afficher quelque chose de similaire à :

    value1
    value2

chdb::__construct
Fonctions chdb
chdb
PHP Manual